#
# spec file for package sablot (Version 0.60)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  expat gpp libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs expat file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sablot
Copyright:    GPL
Group:        Development/Languages
Autoreqprov:  on
Provides:     sablotron
Version:      0.60
Release:      43
Summary:      XSL processor
Url:          http://www.gingerall.com/
Source:       Sablot-%{version}.tar.bz2
Patch0:       %{name}-%{version}-newautoconf.patch
Patch1:       %{name}-%{version}-ia64.patch
Patch2:       %{name}-%{version}-conv.patch
Patch3:       %{name}-%{version}-convout.patch 
BuildRoot:    %{_tmppath}/%{name}-build

%description
Sablotron is an XSL processor fully implemented in C++. As a XML parser
is used the excellent Expat parser.

Authors:
--------
    Tomas Kaiser <tom at gingerall.com>
    Pavel Hlavnicka <pavel at gingerall.cz>
    James Clark

SuSE series: sgm

%package devel
Requires:     sablot
Summary:      Header files and libraries for sablot development
Group:        Development/Libraries
Provides:     sablotd
Obsoletes:    sablotd

%description devel
Header files and libraries for sablot development

Authors:
--------
    Tomas Kaiser <tom at gingerall.com>
    Pavel Hlavnicka <pavel at gingerall.cz>
    James Clark

SuSE series: sgm

%prep
%setup -n Sablot-%{version}
%patch0
%patch1
%patch2
%patch3

%build
%{suse_update_config -f tools/}
libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" 
./configure \
	     --prefix=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README
/usr/bin/sabcmd
/usr/lib/*.so.*
/usr/lib/*.la

%files devel
%defattr(-,root,root)
%attr(644,-,-) /usr/include/*
/usr/lib/*.so
/usr/lib/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n sablot
* Tue Jun 26 2001 - adostal@suse.cz
- fix to compile on ia64
* Fri Jun 15 2001 - adostal@suse.cz
- upgrade to 0.60
* Thu Jun 14 2001 - adostal@suse.cz
- upgrade to 0.52 and fix for new autoconf
* Fri Apr 20 2001 - cihlar@suse.cz
- fixed call of suse_update_config
- fixed to compile on s390
* Wed Mar 21 2001 - schwab@suse.de
- Set CXXFLAGS to $RPM_OPT_FLAGS.
* Mon Mar 12 2001 - cihlar@suse.cz
- update to version 0.51
* Thu Jan 04 2001 - cihlar@suse.cz
- removed expat sources, using package expat
* Wed Nov 15 2000 - cihlar@suse.cz
- renamed sablotd -> sablot-devel
- fixed to compile
* Mon Sep 18 2000 - cihlar@suse.cz
- package created
